[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'Masks' (#lcl)

# TMask

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

The TMask class represents a mask.

## Declaration

Source position: masks.pas line 51

`type TMask = class`
`public`
`constructor Create();` |  | Creates new mask for matching.
`destructor Destroy; override;` |  |
`function Matches();` |  | If the file name matches the mask.
`end;`

## Inheritance

`TMask` |  | The TMask class represents a mask.
`TObject`

The latest version of this document can be found at lazarus-ccr.sourceforge.net.